{
  "Version": 1,
  "WorkspaceRootPath": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\",
  "Documents": [
    {
      "AbsoluteMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|c:\\users\\\u043D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\demo1\\controllers\\admincontroller.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|solutionrelative:demo1\\controllers\\admincontroller.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|c:\\users\\\u043D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\demo1\\postman-collections\\demo1-collection.json||{90A6B3A7-C1A3-4009-A288-E2FF89E96FA0}",
      "RelativeMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|solutionrelative:demo1\\postman-collections\\demo1-collection.json||{90A6B3A7-C1A3-4009-A288-E2FF89E96FA0}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|c:\\users\\\u043D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\demo1\\controllers\\presencecontroller.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|solutionrelative:demo1\\controllers\\presencecontroller.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|c:\\users\\\u043D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\demo1\\data\\exceptions\\usernotfoundexception.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|solutionrelative:demo1\\data\\exceptions\\usernotfoundexception.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|c:\\users\\\u043D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\demo1\\data\\exceptions\\repositoryexception.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|solutionrelative:demo1\\data\\exceptions\\repositoryexception.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|c:\\users\\\u043D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\demo1\\data\\exceptions\\presencenotfoundexception.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|solutionrelative:demo1\\data\\exceptions\\presencenotfoundexception.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|c:\\users\\\u043D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\demo1\\data\\exceptions\\groupnotfoundexception.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|solutionrelative:demo1\\data\\exceptions\\groupnotfoundexception.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|c:\\users\\\u043D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\demo1\\data\\repository\\sqlpresencerepository.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|solutionrelative:demo1\\data\\repository\\sqlpresencerepository.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|c:\\users\\\u043D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\demo1\\data\\repository\\sqlgrouprepositoryimpl.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|solutionrelative:demo1\\data\\repository\\sqlgrouprepositoryimpl.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|c:\\users\\\u043D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\demo1\\data\\repository\\iuserrepository.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|solutionrelative:demo1\\data\\repository\\iuserrepository.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|c:\\users\\\u043D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\demo1\\data\\repository\\ipresencerepository.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|solutionrelative:demo1\\data\\repository\\ipresencerepository.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|c:\\users\\\u043D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\demo1\\data\\repository\\igrouprepository.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|solutionrelative:demo1\\data\\repository\\igrouprepository.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|c:\\users\\\u043D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\demo1\\data\\localdata\\localstaticdata.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|solutionrelative:demo1\\data\\localdata\\localstaticdata.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|c:\\users\\\u043D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\demo1\\data\\localdata\\entity\\user.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|solutionrelative:demo1\\data\\localdata\\entity\\user.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|c:\\users\\\u043D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\demo1\\data\\localdata\\entity\\presence.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|solutionrelative:demo1\\data\\localdata\\entity\\presence.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|c:\\users\\\u043D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\demo1\\data\\localdata\\entity\\group.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|solutionrelative:demo1\\data\\localdata\\entity\\group.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|c:\\users\\\u043D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\demo1\\data\\remotedata\\remotedatabase\\remotedatabasecontext.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|solutionrelative:demo1\\data\\remotedata\\remotedatabase\\remotedatabasecontext.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|c:\\users\\\u043D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\demo1\\data\\remotedata\\remotedatabase\\remotedatabase.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|solutionrelative:demo1\\data\\remotedata\\remotedatabase\\remotedatabase.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|c:\\users\\\u043D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\demo1\\data\\remotedata\\remotedatabase\\dao\\userattendance.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|solutionrelative:demo1\\data\\remotedata\\remotedatabase\\dao\\userattendance.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|c:\\users\\\u043D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\demo1\\data\\remotedata\\remotedatabase\\dao\\user.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|solutionrelative:demo1\\data\\remotedata\\remotedatabase\\dao\\user.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|c:\\users\\\u043D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\demo1\\data\\remotedata\\remotedatabase\\dao\\presence.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|solutionrelative:demo1\\data\\remotedata\\remotedatabase\\dao\\presence.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|c:\\users\\\u043D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\demo1\\data\\remotedata\\remotedatabase\\dao\\groupattendancestatistics.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|solutionrelative:demo1\\data\\remotedata\\remotedatabase\\dao\\groupattendancestatistics.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|c:\\users\\\u043D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\demo1\\data\\remotedata\\remotedatabase\\dao\\group.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|solutionrelative:demo1\\data\\remotedata\\remotedatabase\\dao\\group.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|c:\\users\\\u043D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\demo1\\data\\remotedata\\remotedatabase\\dao\\attendancerecord.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|solutionrelative:demo1\\data\\remotedata\\remotedatabase\\dao\\attendancerecord.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|c:\\users\\\u043D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\demo1\\program.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|solutionrelative:demo1\\program.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|c:\\users\\\u043D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\demo1\\datainitializer.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|solutionrelative:demo1\\datainitializer.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|c:\\users\\\u043D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\demo1\\demo1.csproj||{FA3CD31E-987B-443A-9B81-186104E8DAC1}|",
      "RelativeMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|solutionrelative:demo1\\demo1.csproj||{FA3CD31E-987B-443A-9B81-186104E8DAC1}|"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|c:\\users\\\u043D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\demo1\\domain\\usecase\\usecasegeneratepresence.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|solutionrelative:demo1\\domain\\usecase\\usecasegeneratepresence.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|c:\\users\\\u043D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\demo1\\domain\\models\\user.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|solutionrelative:demo1\\domain\\models\\user.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|c:\\users\\\u043D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\demo1\\domain\\models\\presence.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|solutionrelative:demo1\\domain\\models\\presence.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|c:\\users\\\u043D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\demo1\\domain\\models\\group.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|solutionrelative:demo1\\domain\\models\\group.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|c:\\users\\\u043D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\demo1\\domain\\usecase\\userusecase.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|solutionrelative:demo1\\domain\\usecase\\userusecase.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|c:\\users\\\u043D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\demo1\\domain\\usecase\\usecasepresence.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|solutionrelative:demo1\\domain\\usecase\\usecasepresence.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|c:\\users\\\u043D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\demo1\\domain\\usecase\\groupusecase.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|solutionrelative:demo1\\domain\\usecase\\groupusecase.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|c:\\users\\\u043D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\demo1\\ui\\userconsole.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|solutionrelative:demo1\\ui\\userconsole.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|c:\\users\\\u043D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\demo1\\ui\\presenceconsole.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|solutionrelative:demo1\\ui\\presenceconsole.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|c:\\users\\\u043D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\demo1\\ui\\mainmenu.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|solutionrelative:demo1\\ui\\mainmenu.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|c:\\users\\\u043D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\demo1\\ui\\groupconsole.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|solutionrelative:demo1\\ui\\groupconsole.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|c:\\users\\\u043D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\demo1\\ui\\excelexporter.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|solutionrelative:demo1\\ui\\excelexporter.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|c:\\users\\\u043D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\demo1\\data\\repository\\sqluserrepositoryimpl.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|solutionrelative:demo1\\data\\repository\\sqluserrepositoryimpl.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|c:\\users\\\u043D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\demo1\\migrations\\remotedatabasecontextmodelsnapshot.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|solutionrelative:demo1\\migrations\\remotedatabasecontextmodelsnapshot.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|c:\\users\\\u043D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\demo1\\migrations\\20241123030700_initialcreate.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{3EB018F9-3F1D-4B8D-91F3-099DE189E5D7}|Demo1\\Demo1.csproj|solutionrelative:demo1\\migrations\\20241123030700_initialcreate.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    }
  ],
  "DocumentGroupContainers": [
    {
      "Orientation": 0,
      "VerticalTabListWidth": 256,
      "DocumentGroups": [
        {
          "DockedWidth": 200,
          "SelectedChildIndex": 4,
          "Children": [
            {
              "$type": "Bookmark",
              "Name": "ST:0:0:{aa2115a1-9712-457b-9047-dbb71ca2cdd2}"
            },
            {
              "$type": "Document",
              "DocumentIndex": 5,
              "Title": "PresenceNotFoundException.cs",
              "DocumentMoniker": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Data\\Exceptions\\PresenceNotFoundException.cs",
              "RelativeDocumentMoniker": "Demo1\\Data\\Exceptions\\PresenceNotFoundException.cs",
              "ToolTip": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Data\\Exceptions\\PresenceNotFoundException.cs",
              "RelativeToolTip": "Demo1\\Data\\Exceptions\\PresenceNotFoundException.cs",
              "ViewState": "AgIAAAAAAAAAAAAAAAAAAAgAAAABAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-11-23T01:08:30.121Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 4,
              "Title": "RepositoryException.cs",
              "DocumentMoniker": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Data\\Exceptions\\RepositoryException.cs",
              "RelativeDocumentMoniker": "Demo1\\Data\\Exceptions\\RepositoryException.cs",
              "ToolTip": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Data\\Exceptions\\RepositoryException.cs",
              "RelativeToolTip": "Demo1\\Data\\Exceptions\\RepositoryException.cs",
              "ViewState": "AgIAAAAAAAAAAAAAAAAAAAgAAAABAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-10-28T09:33:38.066Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 3,
              "Title": "UserNotFoundException.cs",
              "DocumentMoniker": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Data\\Exceptions\\UserNotFoundException.cs",
              "RelativeDocumentMoniker": "Demo1\\Data\\Exceptions\\UserNotFoundException.cs",
              "ToolTip": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Data\\Exceptions\\UserNotFoundException.cs",
              "RelativeToolTip": "Demo1\\Data\\Exceptions\\UserNotFoundException.cs",
              "ViewState": "AgIAAAAAAAAAAAAAAAAAAAgAAAABAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-10-28T09:33:29.274Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 0,
              "Title": "AdminController.cs",
              "DocumentMoniker": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Controllers\\AdminController.cs",
              "RelativeDocumentMoniker": "Demo1\\Controllers\\AdminController.cs",
              "ToolTip": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Controllers\\AdminController.cs",
              "RelativeToolTip": "Demo1\\Controllers\\AdminController.cs",
              "ViewState": "AgIAAAAAAAAAAAAAAAAAAEoAAAABAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-11-23T05:11:56.916Z",
              "EditorCaption": ""
            },
            {
              "$type": "Document",
              "DocumentIndex": 2,
              "Title": "PresenceController.cs",
              "DocumentMoniker": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Controllers\\PresenceController.cs",
              "RelativeDocumentMoniker": "Demo1\\Controllers\\PresenceController.cs",
              "ToolTip": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Controllers\\PresenceController.cs",
              "RelativeToolTip": "Demo1\\Controllers\\PresenceController.cs",
              "ViewState": "AgIAAAAAAAAAAAAAAAAAADoAAAABAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-11-23T05:13:06.942Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 1,
              "Title": "demo1-collection.json",
              "DocumentMoniker": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\postman-collections\\demo1-collection.json",
              "RelativeDocumentMoniker": "Demo1\\postman-collections\\demo1-collection.json",
              "ToolTip": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\postman-collections\\demo1-collection.json",
              "RelativeToolTip": "Demo1\\postman-collections\\demo1-collection.json",
              "ViewState": "AgIAAAAAAAAAAAAAAAAAAFEAAAABAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.001642|",
              "WhenOpened": "2024-11-23T07:12:15.485Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 6,
              "Title": "GroupNotFoundException.cs",
              "DocumentMoniker": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Data\\Exceptions\\GroupNotFoundException.cs",
              "RelativeDocumentMoniker": "Demo1\\Data\\Exceptions\\GroupNotFoundException.cs",
              "ToolTip": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Data\\Exceptions\\GroupNotFoundException.cs",
              "RelativeToolTip": "Demo1\\Data\\Exceptions\\GroupNotFoundException.cs",
              "ViewState": "AgIAAAAAAAAAAAAAAAAAAAgAAAABAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-10-28T09:33:34.54Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 7,
              "Title": "SQLPresenceRepository.cs",
              "DocumentMoniker": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Data\\Repository\\SQLPresenceRepository.cs",
              "RelativeDocumentMoniker": "Demo1\\Data\\Repository\\SQLPresenceRepository.cs",
              "ToolTip": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Data\\Repository\\SQLPresenceRepository.cs",
              "RelativeToolTip": "Demo1\\Data\\Repository\\SQLPresenceRepository.cs",
              "ViewState": "AgIAAF0AAAAAAAAAAAAkwHcAAAABAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-10-28T09:29:26.796Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 8,
              "Title": "SQLGroupRepositoryImpl.cs",
              "DocumentMoniker": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Data\\Repository\\SQLGroupRepositoryImpl.cs",
              "RelativeDocumentMoniker": "Demo1\\Data\\Repository\\SQLGroupRepositoryImpl.cs",
              "ToolTip": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Data\\Repository\\SQLGroupRepositoryImpl.cs",
              "RelativeToolTip": "Demo1\\Data\\Repository\\SQLGroupRepositoryImpl.cs",
              "ViewState": "AgIAAAAAAAAAAAAAAAAAAC8AAAABAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-10-28T09:29:17.772Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 9,
              "Title": "IUserRepository.cs",
              "DocumentMoniker": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Data\\Repository\\IUserRepository.cs",
              "RelativeDocumentMoniker": "Demo1\\Data\\Repository\\IUserRepository.cs",
              "ToolTip": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Data\\Repository\\IUserRepository.cs",
              "RelativeToolTip": "Demo1\\Data\\Repository\\IUserRepository.cs",
              "ViewState": "AgIAAAAAAAAAAAAAAAAAAA4AAAABAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-10-28T09:33:48.086Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 10,
              "Title": "IPresenceRepository.cs",
              "DocumentMoniker": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Data\\Repository\\IPresenceRepository.cs",
              "RelativeDocumentMoniker": "Demo1\\Data\\Repository\\IPresenceRepository.cs",
              "ToolTip": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Data\\Repository\\IPresenceRepository.cs",
              "RelativeToolTip": "Demo1\\Data\\Repository\\IPresenceRepository.cs",
              "ViewState": "AgIAAAAAAAAAAAAAAAAAABAAAAABAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-10-28T09:34:01.993Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 11,
              "Title": "IGroupRepository.cs",
              "DocumentMoniker": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Data\\Repository\\IGroupRepository.cs",
              "RelativeDocumentMoniker": "Demo1\\Data\\Repository\\IGroupRepository.cs",
              "ToolTip": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Data\\Repository\\IGroupRepository.cs",
              "RelativeToolTip": "Demo1\\Data\\Repository\\IGroupRepository.cs",
              "ViewState": "AgIAAAAAAAAAAAAAAAAAAAwAAAABAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-10-28T09:33:53.901Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 12,
              "Title": "LocalStaticData.cs",
              "DocumentMoniker": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Data\\LocalData\\LocalStaticData.cs",
              "RelativeDocumentMoniker": "Demo1\\Data\\LocalData\\LocalStaticData.cs",
              "ToolTip": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Data\\LocalData\\LocalStaticData.cs",
              "RelativeToolTip": "Demo1\\Data\\LocalData\\LocalStaticData.cs",
              "ViewState": "AgIAAAAAAAAAAAAAAAAAABMAAAAKAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-10-28T09:27:24.986Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 13,
              "Title": "User.cs",
              "DocumentMoniker": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Data\\LocalData\\Entity\\User.cs",
              "RelativeDocumentMoniker": "Demo1\\Data\\LocalData\\Entity\\User.cs",
              "ToolTip": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Data\\LocalData\\Entity\\User.cs",
              "RelativeToolTip": "Demo1\\Data\\LocalData\\Entity\\User.cs",
              "ViewState": "AgIAAAAAAAAAAAAAAAAAAAgAAAABAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-10-28T09:27:14.655Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 14,
              "Title": "Presence.cs",
              "DocumentMoniker": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Data\\LocalData\\Entity\\Presence.cs",
              "RelativeDocumentMoniker": "Demo1\\Data\\LocalData\\Entity\\Presence.cs",
              "ToolTip": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Data\\LocalData\\Entity\\Presence.cs",
              "RelativeToolTip": "Demo1\\Data\\LocalData\\Entity\\Presence.cs",
              "ViewState": "AgIAAAAAAAAAAAAAAAAAAAoAAAABAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-10-28T09:27:05.651Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 15,
              "Title": "Group.cs",
              "DocumentMoniker": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Data\\LocalData\\Entity\\Group.cs",
              "RelativeDocumentMoniker": "Demo1\\Data\\LocalData\\Entity\\Group.cs",
              "ToolTip": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Data\\LocalData\\Entity\\Group.cs",
              "RelativeToolTip": "Demo1\\Data\\LocalData\\Entity\\Group.cs",
              "ViewState": "AgIAAAAAAAAAAAAAAAAAAAcAAAABAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-10-28T09:26:57.413Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 16,
              "Title": "RemoteDatabaseContext.cs",
              "DocumentMoniker": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Data\\RemoteData\\RemoteDataBase\\RemoteDatabaseContext.cs",
              "RelativeDocumentMoniker": "Demo1\\Data\\RemoteData\\RemoteDataBase\\RemoteDatabaseContext.cs",
              "ToolTip": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Data\\RemoteData\\RemoteDataBase\\RemoteDatabaseContext.cs",
              "RelativeToolTip": "Demo1\\Data\\RemoteData\\RemoteDataBase\\RemoteDatabaseContext.cs",
              "ViewState": "AgIAAAIAAAAAAAAAAAAkwBUAAAAoAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-10-25T06:11:46.336Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 17,
              "Title": "RemoteDatabase.cs",
              "DocumentMoniker": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Data\\RemoteData\\RemoteDataBase\\RemoteDatabase.cs",
              "RelativeDocumentMoniker": "Demo1\\Data\\RemoteData\\RemoteDataBase\\RemoteDatabase.cs",
              "ToolTip": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Data\\RemoteData\\RemoteDataBase\\RemoteDatabase.cs",
              "RelativeToolTip": "Demo1\\Data\\RemoteData\\RemoteDataBase\\RemoteDatabase.cs",
              "ViewState": "AgIAAAAAAAAAAAAAAAAAAA8AAABKAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-10-28T09:28:39.98Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 18,
              "Title": "UserAttendance.cs",
              "DocumentMoniker": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Data\\RemoteData\\RemoteDataBase\\DAO\\UserAttendance.cs",
              "RelativeDocumentMoniker": "Demo1\\Data\\RemoteData\\RemoteDataBase\\DAO\\UserAttendance.cs",
              "ToolTip": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Data\\RemoteData\\RemoteDataBase\\DAO\\UserAttendance.cs",
              "RelativeToolTip": "Demo1\\Data\\RemoteData\\RemoteDataBase\\DAO\\UserAttendance.cs",
              "ViewState": "AgIAAAAAAAAAAAAAAAAAAAkAAAABAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-11-23T01:10:24.793Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 19,
              "Title": "User.cs",
              "DocumentMoniker": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Data\\RemoteData\\RemoteDataBase\\DAO\\User.cs",
              "RelativeDocumentMoniker": "Demo1\\Data\\RemoteData\\RemoteDataBase\\DAO\\User.cs",
              "ToolTip": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Data\\RemoteData\\RemoteDataBase\\DAO\\User.cs",
              "RelativeToolTip": "Demo1\\Data\\RemoteData\\RemoteDataBase\\DAO\\User.cs",
              "ViewState": "AgIAAAAAAAAAAAAAAAAAAAgAAAABAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-10-25T06:10:30.211Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 20,
              "Title": "Presence.cs",
              "DocumentMoniker": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Data\\RemoteData\\RemoteDataBase\\DAO\\Presence.cs",
              "RelativeDocumentMoniker": "Demo1\\Data\\RemoteData\\RemoteDataBase\\DAO\\Presence.cs",
              "ToolTip": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Data\\RemoteData\\RemoteDataBase\\DAO\\Presence.cs",
              "RelativeToolTip": "Demo1\\Data\\RemoteData\\RemoteDataBase\\DAO\\Presence.cs",
              "ViewState": "AgIAAAAAAAAAAAAAAAAAAAoAAAABAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-10-25T06:10:23.933Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 21,
              "Title": "GroupAttendanceStatistics.cs",
              "DocumentMoniker": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Data\\RemoteData\\RemoteDataBase\\DAO\\GroupAttendanceStatistics.cs",
              "RelativeDocumentMoniker": "Demo1\\Data\\RemoteData\\RemoteDataBase\\DAO\\GroupAttendanceStatistics.cs",
              "ToolTip": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Data\\RemoteData\\RemoteDataBase\\DAO\\GroupAttendanceStatistics.cs",
              "RelativeToolTip": "Demo1\\Data\\RemoteData\\RemoteDataBase\\DAO\\GroupAttendanceStatistics.cs",
              "ViewState": "AgIAAAAAAAAAAAAAAAAAAAkAAAABAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-11-23T01:10:03.086Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 22,
              "Title": "Group.cs",
              "DocumentMoniker": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Data\\RemoteData\\RemoteDataBase\\DAO\\Group.cs",
              "RelativeDocumentMoniker": "Demo1\\Data\\RemoteData\\RemoteDataBase\\DAO\\Group.cs",
              "ToolTip": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Data\\RemoteData\\RemoteDataBase\\DAO\\Group.cs",
              "RelativeToolTip": "Demo1\\Data\\RemoteData\\RemoteDataBase\\DAO\\Group.cs",
              "ViewState": "AgIAAAAAAAAAAAAAAAAAAAcAAAABAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-10-25T06:10:17.912Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 23,
              "Title": "AttendanceRecord.cs",
              "DocumentMoniker": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Data\\RemoteData\\RemoteDataBase\\DAO\\AttendanceRecord.cs",
              "RelativeDocumentMoniker": "Demo1\\Data\\RemoteData\\RemoteDataBase\\DAO\\AttendanceRecord.cs",
              "ToolTip": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Data\\RemoteData\\RemoteDataBase\\DAO\\AttendanceRecord.cs",
              "RelativeToolTip": "Demo1\\Data\\RemoteData\\RemoteDataBase\\DAO\\AttendanceRecord.cs",
              "ViewState": "AgIAAAAAAAAAAAAAAAAAAAkAAAABAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-11-23T01:09:45.645Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 25,
              "Title": "DataInitializer.cs",
              "DocumentMoniker": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\DataInitializer.cs",
              "RelativeDocumentMoniker": "Demo1\\DataInitializer.cs",
              "ToolTip": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\DataInitializer.cs",
              "RelativeToolTip": "Demo1\\DataInitializer.cs",
              "ViewState": "AgIAAAAAAAAAAAAAAAAAABMAAABCAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-11-23T01:04:02.404Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 24,
              "Title": "Program.cs",
              "DocumentMoniker": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Program.cs",
              "RelativeDocumentMoniker": "Demo1\\Program.cs",
              "ToolTip": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Program.cs",
              "RelativeToolTip": "Demo1\\Program.cs",
              "ViewState": "AgIAAAAAAAAAAAAAAAAAAAwAAAABAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-10-28T09:38:33.792Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 26,
              "Title": "Demo1.csproj",
              "DocumentMoniker": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\Source\\Repos\\slarny4\\Demo1\\Demo1.csproj",
              "RelativeDocumentMoniker": "Demo1\\Demo1.csproj",
              "ToolTip": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\Source\\Repos\\slarny4\\Demo1\\Demo1.csproj",
              "RelativeToolTip": "Demo1\\Demo1.csproj",
              "ViewState": "AgIAABkAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000758|",
              "WhenOpened": "2024-10-24T10:01:48.552Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 27,
              "Title": "UseCaseGeneratePresence.cs",
              "DocumentMoniker": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Domain\\UseCase\\UseCaseGeneratePresence.cs",
              "RelativeDocumentMoniker": "Demo1\\Domain\\UseCase\\UseCaseGeneratePresence.cs",
              "ToolTip": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Domain\\UseCase\\UseCaseGeneratePresence.cs",
              "RelativeToolTip": "Demo1\\Domain\\UseCase\\UseCaseGeneratePresence.cs",
              "ViewState": "AgIAAAAAAAAAAAAAAAAAADsAAAABAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-10-28T09:35:16.757Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 28,
              "Title": "User.cs",
              "DocumentMoniker": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Domain\\Models\\User.cs",
              "RelativeDocumentMoniker": "Demo1\\Domain\\Models\\User.cs",
              "ToolTip": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Domain\\Models\\User.cs",
              "RelativeToolTip": "Demo1\\Domain\\Models\\User.cs",
              "ViewState": "AgIAAAAAAAAAAAAAAAAAAAgAAAABAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-10-28T11:07:52.222Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 29,
              "Title": "Presence.cs",
              "DocumentMoniker": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Domain\\Models\\Presence.cs",
              "RelativeDocumentMoniker": "Demo1\\Domain\\Models\\Presence.cs",
              "ToolTip": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Domain\\Models\\Presence.cs",
              "RelativeToolTip": "Demo1\\Domain\\Models\\Presence.cs",
              "ViewState": "AgIAAAAAAAAAAAAAAAAAAAwAAAABAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-10-28T11:28:19.174Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 30,
              "Title": "Group.cs",
              "DocumentMoniker": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Domain\\Models\\Group.cs",
              "RelativeDocumentMoniker": "Demo1\\Domain\\Models\\Group.cs",
              "ToolTip": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Domain\\Models\\Group.cs",
              "RelativeToolTip": "Demo1\\Domain\\Models\\Group.cs",
              "ViewState": "AgIAAAAAAAAAAAAAAAAAAAcAAAABAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-10-28T11:07:39.146Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 31,
              "Title": "UserUseCase.cs",
              "DocumentMoniker": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Domain\\UseCase\\UserUseCase.cs",
              "RelativeDocumentMoniker": "Demo1\\Domain\\UseCase\\UserUseCase.cs",
              "ToolTip": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Domain\\UseCase\\UserUseCase.cs",
              "RelativeToolTip": "Demo1\\Domain\\UseCase\\UserUseCase.cs",
              "ViewState": "AgIAABwAAAAAAAAAAAA0wCYAAAABAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-10-28T09:35:04.932Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 32,
              "Title": "UseCasePresence.cs",
              "DocumentMoniker": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Domain\\UseCase\\UseCasePresence.cs",
              "RelativeDocumentMoniker": "Demo1\\Domain\\UseCase\\UseCasePresence.cs",
              "ToolTip": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Domain\\UseCase\\UseCasePresence.cs",
              "RelativeToolTip": "Demo1\\Domain\\UseCase\\UseCasePresence.cs",
              "ViewState": "AgIAACMAAAAAAAAAAAAIwDcAAAABAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-10-28T09:38:10.123Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 33,
              "Title": "GroupUseCase.cs",
              "DocumentMoniker": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Domain\\UseCase\\GroupUseCase.cs",
              "RelativeDocumentMoniker": "Demo1\\Domain\\UseCase\\GroupUseCase.cs",
              "ToolTip": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Domain\\UseCase\\GroupUseCase.cs",
              "RelativeToolTip": "Demo1\\Domain\\UseCase\\GroupUseCase.cs",
              "ViewState": "AgIAAAgAAAAAAAAAAAAAACMAAAABAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-10-28T09:35:09.914Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 34,
              "Title": "UserConsole.cs",
              "DocumentMoniker": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\UI\\UserConsole.cs",
              "RelativeDocumentMoniker": "Demo1\\UI\\UserConsole.cs",
              "ToolTip": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\UI\\UserConsole.cs",
              "RelativeToolTip": "Demo1\\UI\\UserConsole.cs",
              "ViewState": "AgIAABgAAAAAAAAAAAAywCoAAAANAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-10-28T09:32:43.036Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 35,
              "Title": "PresenceConsole.cs",
              "DocumentMoniker": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\UI\\PresenceConsole.cs",
              "RelativeDocumentMoniker": "Demo1\\UI\\PresenceConsole.cs",
              "ToolTip": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\UI\\PresenceConsole.cs",
              "RelativeToolTip": "Demo1\\UI\\PresenceConsole.cs",
              "ViewState": "AgIAAAsAAAAAAAAAAAA6wC8AAAABAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-10-28T09:55:31.138Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 36,
              "Title": "MainMenu.cs",
              "DocumentMoniker": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\UI\\MainMenu.cs",
              "RelativeDocumentMoniker": "Demo1\\UI\\MainMenu.cs",
              "ToolTip": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\UI\\MainMenu.cs",
              "RelativeToolTip": "Demo1\\UI\\MainMenu.cs",
              "ViewState": "AgIAAEoBAAAAAAAAAAAAAGUBAAABAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-10-28T09:38:21.434Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 37,
              "Title": "GroupConsole.cs",
              "DocumentMoniker": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\UI\\GroupConsole.cs",
              "RelativeDocumentMoniker": "Demo1\\UI\\GroupConsole.cs",
              "ToolTip": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\UI\\GroupConsole.cs",
              "RelativeToolTip": "Demo1\\UI\\GroupConsole.cs",
              "ViewState": "AgIAABAAAAAAAAAAAAAgwB8AAAAJAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-10-28T09:55:00.521Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 38,
              "Title": "ExcelExporter.cs",
              "DocumentMoniker": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\UI\\ExcelExporter.cs",
              "RelativeDocumentMoniker": "Demo1\\UI\\ExcelExporter.cs",
              "ToolTip": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\UI\\ExcelExporter.cs",
              "RelativeToolTip": "Demo1\\UI\\ExcelExporter.cs",
              "ViewState": "AgIAAAAAAAAAAAAAAAAAAF4AAAABAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-11-23T01:02:04.726Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 39,
              "Title": "SQLUserRepositoryImpl.cs",
              "DocumentMoniker": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Data\\Repository\\SQLUserRepositoryImpl.cs",
              "RelativeDocumentMoniker": "Demo1\\Data\\Repository\\SQLUserRepositoryImpl.cs",
              "ToolTip": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Data\\Repository\\SQLUserRepositoryImpl.cs",
              "RelativeToolTip": "Demo1\\Data\\Repository\\SQLUserRepositoryImpl.cs",
              "ViewState": "AgIAABYAAAAAAAAAAAAqwDEAAAABAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-10-28T09:29:36.037Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 40,
              "Title": "RemoteDatabaseContextModelSnapshot.cs",
              "DocumentMoniker": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Migrations\\RemoteDatabaseContextModelSnapshot.cs",
              "RelativeDocumentMoniker": "Demo1\\Migrations\\RemoteDatabaseContextModelSnapshot.cs",
              "ToolTip": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Migrations\\RemoteDatabaseContextModelSnapshot.cs",
              "RelativeToolTip": "Demo1\\Migrations\\RemoteDatabaseContextModelSnapshot.cs",
              "ViewState": "AgIAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-11-23T04:28:18.396Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 41,
              "Title": "20241123030700_InitialCreate.cs",
              "DocumentMoniker": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Migrations\\20241123030700_InitialCreate.cs",
              "RelativeDocumentMoniker": "Demo1\\Migrations\\20241123030700_InitialCreate.cs",
              "ToolTip": "C:\\Users\\\u041D\u0430\u0438\u043B\u044C\\source\\repos\\slarny4\\Demo1\\Migrations\\20241123030700_InitialCreate.cs",
              "RelativeToolTip": "Demo1\\Migrations\\20241123030700_InitialCreate.cs",
              "ViewState": "AgIAAC4AAAAAAAAAAAAgwAAAAAAAAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-11-23T04:28:15.1Z"
            }
          ]
        }
      ]
    }
  ]
}